Bugs in Archlinux32 packages, specific to 32-bit issues.

Bugs  FS#2  to  FS#92  have been recovered and may be incomplete, the
recovered Google/Bing cache data can be found here.

IDCategoryTask TypePrioritySeveritySummaryStatus  descProgress
320PackagesBug ReportMediumLow[btop] On i486 fails on clock_gettime64New
0%
Task Description

shows a red ERROR: on startup, strace shows:

write(2, "\n", 1
)                       = 1
clock_gettime64(CLOCK_REALTIME, {tv_sec=1675495215, tv_nsec=436798535}) = 0
exit_group(1)                           = ?
+++ exited with 1 +++
[root@eurobuild6-7-i486 ~]# btop
ERROR: No UTF-8 locale detected!
326PackagesBug ReportMediumLow[php] needs a rebuildNew
0%
Task Description

httpd/conf/httpd.conf: Cannot load modules/libphp.so into server: libssl.so.1.1>

337PackagesBug ReportMediumLowpackages are being downgraded in reposNew
0%
Task Description

warning: filesystem: local (2023.09.18-1.0) is newer than core (2023.01.31-1.0)

348PackagesBug ReportMediumLowopenssl failing testsNew
0%
Task Description
30-test_aesgcm.t ........................ ok                                                                ������������������������������������������������������������������                                                                                             

ALG_PERR: engines/e_afalg.c(463): Failed to bind socket : No such file or directory                         �����������������������������������������������������������������������������������������������������������������������������                                                                                   
        # ERROR: (bool) 'EVP_CipherInit_ex(ctx, cipher, e, key, iv, 1) == true' failed @ test/afalgtest.c   ������������������������������������������������������������������������������������������������������������������������������������������������������������c                                                                             :85                                                                                                         �����           
        # false                                                                                             �����������������������                                                        
        # 00000000:error:40000067:lib(128)::socket bind failed:engines/e_afalg.c:464:                       ������������������������������������������������������������������������������������������������������������������������������:                                                                                  
        # OPENSSL_TEST_RAND_SEED=1707239178                                                                 �����������������������������������������������������������������                                                                                             
        not ok 1 - iteration 1                                                                              ������������������������������������������ㄠ                                                                                                
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
ALG_PERR: engines/e_afalg.c(463): Failed to bind socket : No such file or directory                         �����������������������������������������������������������������������������������������������������������������������������                                                                                   
        # ERROR: (bool) 'EVP_CipherInit_ex(ctx, cipher, e, key, iv, 1) == true' failed @ test/afalgtest.c   ������������������������������������������������������������������������������������������������������������������������������������������������������������c                                                                             :85                                                                                                         �����           
        # false                                                                                             �����������������������                                                        
        # 00000000:error:40000067:lib(128)::socket bind failed:engines/e_afalg.c:464:                       ������������������������������������������������������������������������������������������������������������������������������:                                                                                  
        # OPENSSL_TEST_RAND_SEED=1707239178                                                                 �����������������������������������������������������������������                                                                                             
        not ok 2 - iteration 2                                                                              ������������������������������������������㈠                                                                                                
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
ALG_PERR: engines/e_afalg.c(463): Failed to bind socket : No such file or directory                         �����������������������������������������������������������������������������������������������������������������������������                                                                                   
        # ERROR: (bool) 'EVP_CipherInit_ex(ctx, cipher, e, key, iv, 1) == true' failed @ test/afalgtest.c   ������������������������������������������������������������������������������������������������������������������������������������������������������������c                                                                             :85                                                                                                         �����           
        # false                                                                                             �����������������������                                                        
        # 00000000:error:40000067:lib(128)::socket bind failed:engines/e_afalg.c:464:                       ������������������������������������������������������������������������������������������������������������������������������:                                                                                  
        # OPENSSL_TEST_RAND_SEED=1707239178                                                                 �����������������������������������������������������������������                                                                                             
        not ok 3 - iteration 3                                                                              ������������������������������������������㌠                                                                                                
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
    # OPENSSL_TEST_RAND_SEED=1707239178                                                                     �����������������������������������������������������������                                                                                              
    not ok 1 - test_afalg_aes_cbc                                                                           ������������������������������������������������c                                                                                               
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
../../util/wrap.pl ../../test/afalgtest => 1                                                                ������������������������������������������������������������������                                                                                             
not ok 1 - running afalgtest                                                                                ������������������������������������������                                                                                                 

349PackagesBug ReportMediumLowtop print "get_mempolicy: Function not implemented" on ...New
0%
Task Description

no task description

340PackagesBug ReportVery LowCritical[chromium] broken due to outdated libraries, plus also ...Unconfirmed
0%
Task Description

The package needs to be recompiled for re2 v10 and several required dependencies were not installed, such as icu69 (?) and more.

341PackagesBug ReportVery LowCriticalpython3 is version 11, but all packages install only 3....Unconfirmed
0%
Task Description

From a fresh install just now:

The /usr/lib/python3.10/site-packages folder is full of dozens of files, but there is little in the 3.11 folder. Some examples: gajim yt-dlp zippy samba.

This seems to affect most new packages that I install, so it is by no means limited to just the examples.

108Packages: StagingBug ReportVery LowHighlldb fails to run any binary (error: failed to launch o...Unconfirmed
0%
Task Description

Very easy to reproduce. lldb version 10.0.0, just try to run any binary.

[aeden@arch32 bin]$ lldb $(which date)
(lldb) target create “/usr/bin/date” Current executable set to ‘/usr/bin/date’ (i386).
(lldb) run
error: failed to launch or debug process
(lldb)

325PackagesBug ReportVery LowHigh[terminus] crashes with message undefined symbol: cairo...Unconfirmed
0%
Task Description

Starting terminus gives following error:

from ._cairo import *  # noqa: F401,F403
ImportError: /usr/lib/python3.10/site-packages/cairo/_cairo.cpython-310-i386-linux-gnu.so: undefined symbol: cairo_tee_surface_index

Bug seens to be related to

https://bugs.archlinux.org/task/77367

There is generall mess on cairo related files for different architectures (pentium4, i486, i686) - some packages for one architecture are outdated, while for other archictectures are up to date, for instance:

  • python-cairo i486/extra : 1.21.0-1.0
  • python-cairo i686/extra : 1.23.0-3.0
  • python-cairo pentium4/extra : 1.23.0-3.0
172PackagesBug ReportVery LowMediumiwd requires some kernel flagsUnconfirmed
0%
Task Description

RC4 support not found
The following options are missing in the kernel:

CONFIG_CRYPTO_USER_API_SKCIPHER
CONFIG_CRYPTO_ECB
CONFIG_CRYPTO_ARC4
210PackagesBug ReportVery LowMediumkeymap don't gets fixed on login as set in /etc/vconsol...Unconfirmed
0%
Task Description

gzip comes with asm code, if enabled, built a TEXTREL which gets bloqued on boot, so systemd don’t set keymap
A lot of tricks in forums, old thread more complete here $506 An old problem. Work around while asm gets fixed is call configure with DEFS=”NO_ASM” like this:

...
export DEFS="NO_ASM"
./configure ....

or,

./configure DEFS="NO_ASM" ....

I have not tested it, but gentoo on x32 have gzip like this and no TEXTRELS here.
No matter i486, i686 or pentium.

Hope it helps.

Best regards.

335PackagesBug ReportVery LowMediumpython-setuptools-scm 7.1.0-4.1 missing dependencyUnconfirmed
0%
Task Description

python-setuptools-scm 7.1.0-4.1 as found in the repo is missing the dependencies python-packaging and python-setuptools, which breaks the build of many other packages.

100Packages: StableBug ReportVery LowLowmldonkey crashesUnconfirmed
0%
Task Description

All versions of mldonkey crash in arch32 updated. (segmentation fault and core dumped)

209PackagesBug ReportVery LowLowIntel High Definition Audio issue.Unconfirmed
0%
Task Description

I am using Arch Linux 32 latest version on Sony VAIO VGN-FS215Z . The following is the audio device:

-fs215z:~$ lspci | grep -i audio

00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)

When I boot the system after some time getting crackling sound in speaker. Sometimes it stops after few minutes and sometimes continue to sound. Really annoying. I am not getting the normal audio in any application. This problem was there in debian based OSs also but not there in any other OS.

Please help.

314PackagesBug ReportVery LowLowMumble requires a outdated protobuf Unconfirmed
0%
Task Description

libprotobuf=28 is a mumble (package) dependency, but protobuf package has libprotobuf=32.

I needed to downgrade to protobuf-3.17.3-1.3-pentium4.pkg.tar.zst (from the archive) to install mumble.

336PackagesBug ReportVery LowLow[pyqt-builder]: needs rebuildUnconfirmed
0%
Task Description

just wanted to get this one on the board - i am unable to build ‘python-pyqt5’ which many other packages depend on, such as ‘qutebrowser’

the current ‘python-pyqt5’ PKGBUILD, which builds fine for x86_64 and arm, has unspecified dependencies in the i686 repos - not sure why that is

ModuleNotFoundError: No module named ‘jaraco.functools’
ModuleNotFoundError: No module named ‘jaraco.context’

that is easily fixed by requiring them explicitly:
> makedepends_i686=(’python-jaraco.context’ ‘python-jaraco.functools’)

however, after that, it gives a more fatal error:

sip-build: Unable to import ‘project.py’: No module named ‘pyqtbuild’

that module is in the ‘pyqt-builder’ package, i beleive - ‘pyqt-builder’ is installed as a build dependency; but it was built for python 3.9 - so probably that is why the build could not find the module

338PackagesBug ReportVery LowLow[libreoffice-still]: error while loading shared librari...Unconfirmed
0%
Task Description

needs rebuild against latest ‘boost’

$ sudo pacman -Sy libreoffice-still

$ pacman -Qs libreoffice-still
local/libreoffice-still 7.3.7-2.0
    LibreOffice maintenance branch

$ lowriter
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libboost_locale.so.1.80.0: cannot open shared object file: No such file or directory
339PackagesBug ReportVery LowLow[libcanberra-pulse]: can not be installedUnconfirmed
0%
Task Description
# pacman -S libcanberra-pulse
resolving dependencies...
warning: cannot resolve "libcanberra=0.30+2+gc0620e4-3.2", a dependency of "libcanberra-pulse"
:: The following package cannot be upgraded due to unresolvable dependencies:
      libcanberra-pulse

:: Do you want to skip the above package for this upgrade? [y/N]
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'libcanberra=0.30+2+gc0620e4-3.2' required by libcanberra-pulse
343PackagesBug ReportVery LowLowPackage 'screen 4.9.1-1.0' is missing dependency libute...Unconfirmed
0%
Task Description

Package ‘screen 4.9.1-1.0’ is missing dependency libutempter. I assume this is because libutempter used to be a dependency of util-linux which is part of base, so was assumed to be installed.

With the regular Arch Linux distro libutempter is still a dependency of util-linux.

345PackagesBug ReportVery LowLow[gcompris-qt] doesn't start due to Qt 5.15.10Unconfirmed
0%
Task Description

I fails to start with: “Cannot mix incompatible Qt library (5.15.9) with this library (5.15.10)”

346PackagesBug ReportVery LowLowpandoc: error while loading shared librariesUnconfirmed
0%
Task Description
# pacman -Syyuu base
# pacman -S pandoc
# pandoc
pandoc: error while loading shared libraries: libHSzip-archive-0.4.1-FOOm53qGfUr2AB1Oel9iH4-ghc8.10.2.so: cannot open shared object file: No such file or directory
347PackagesBug ReportVery LowLowMeld will not start - error message -> Meld requires Gt...Unconfirmed
0%
Task Description

[keith@Arch32 ~]$ meld
Meld requires Gtk+ 3.20 or higher.
[keith@Arch32 ~]$ pacman -Qi meld
Name : meld
Version : 3.22.0-2.0
Description : Compare files, directories and working copies
Architecture : any
URL : https://meldmerge.org/ Licenses : GPL Groups : None
Provides : None
Depends On : python-gobject python-cairo gtksourceview4 gsettings-desktop-schemas dconf
Optional Deps : None
Required By : None
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 5.06 MiB
Packager : TasosSah arch32@tasossah.com Build Date : Sat 19 Aug 2023 23:25:57 BST
Install Date : Sat 26 Aug 2023 07:08:59 BST
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

[keith@Arch32 ~]$ pacman -Qi gtksourceview4
Name : gtksourceview4
Version : 4.8.4-1.0
Description : A text widget adding syntax highlighting and more to GNOME
Architecture : pentium4
URL : https://wiki.gnome.org/Projects/GtkSourceView Licenses : GPL Groups : None
Provides : libgtksourceview-4.so=0-32
Depends On : gtk3 libxml2
Optional Deps : None
Required By : meld xed
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 7.44 MiB
Packager : Andreas Baumann mail@andreasbaumann.cc Build Date : Mon 07 Nov 2022 11:50:56 GMT
Install Date : Mon 28 Nov 2022 11:49:04 GMT
Install Reason : Installed as a dependency for another package
Install Script : No
Validated By : Signature

[keith@Arch32 ~]$ pacman -Qi gtk3
Name : gtk3
Version : 1:3.24.37-1.0
Description : GObject-based multi-platform GUI toolkit
Architecture : pentium4
URL : https://www.gtk.org/ Licenses : LGPL Groups : None
Provides : gtk3-print-backends libgailutil-3.so=0-32 libgdk-3.so=0-32 libgtk-3.so=0-32
Depends On : adwaita-icon-theme atk cairo cantarell-fonts dconf desktop-file-utils fontconfig fribidi gdk-pixbuf2 glib2 harfbuzz iso-codes

                libcloudproviders  libcolord  libcups  libegl  libepoxy  libgl  librsvg  libxcomposite  libx11  libxcursor  libxdamage  libxext  libxfixes
                libxi  libxinerama  libxkbcommon  libxrandr  libxrender  pango  shared-mime-info  wayland  at-spi2-core  tracker3  gtk-update-icon-cache

Optional Deps : evince: Default print preview command
Required By : bleachbit engrampa firefox gcr gpicview gspell gtkmm3 gtksourceview4 libdbusmenu-gtk3 libgnomekbd libindicator-gtk3 libnma

                libpeas  lightdm-gtk-greeter  lxmusic  vte3  xdg-user-dirs-gtk

Optional For : avahi gvfs libcanberra libdecor libreoffice-still
Conflicts With : gtk3-print-backends
Replaces : gtk3-print-backends⇐3.22.26-1
Installed Size : 49.88 MiB
Packager : Andreas Baumann mail@andreasbaumann.cc Build Date : Sun 16 Apr 2023 11:18:09 BST
Install Date : Tue 25 Apr 2023 13:06:04 BST
Install Reason : Installed as a dependency for another package
Install Script : Yes
Validated By : Signature

[keith@Arch32 ~]$

352PackagesBug ReportVery LowLowgmtp in extra is brokenUnconfirmed
0%
Task Description

It is an i686-system.

steps to reproduce:

    1) # pacman -Syyuu base
    2) # pacman -S gmtp
    3) $ gmtp

expected result:

    Start screen of gmtp appears.

actual result:

    $ gmtp
    gmtp: error while loading shared libraries: libFLAC.so.8: cannot open shared object file: No such file or directory

gmtp in extra-staging works though

359PackagesBug ReportVery LowLowQterminal 1.3.0-1.1 is brokenUnconfirmed
0%
Task Description

Qterminal 1.3.0-1.1 is broken. It causes a segmentation fault. Upgrade to 1.4.0-1.0 (still in staging) solves this issue.

342PackagesBug ReportVery LowVery Lownmap missing dependency openssl-1.1Unconfirmed
0%
Task Description

no task description

 247 PackagesBug ReportMediumLow [freetype2] requires librsvg >= 2.46.0 Closed
100%
Task Description

This could be bad because our librsvg (the Rust one) lags behind and librsvg-og might not
implement new stuff (for i486).

 295 PackagesBug ReportVery LowLow [qemu][seabios]: file conflict Closed
100%
Task Description
# pacman -S qemu seabios
resolving dependencies...
looking for conflicting packages...

Packages (2) qemu-6.2.0-4.0  seabios-1.16.0-3.2

Total Installed Size:  36.97 MiB

checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
/usr/share/qemu/bios-microvm.bin exists in both 'seabios' and 'qemu'
/usr/share/qemu/vgabios-ati.bin exists in both 'seabios' and 'qemu'
Errors occurred, no packages were upgraded.

 220 PackagesBug ReportVery HighCritical [python] completly broken Closed
100%
Task Description

Traceback (most recent call last):

File "/usr/lib/python3.9/site-packages/mercurial/policy.py", line 69, in _importfrom
  fakelocals[modname] = mod = getattr(pkg, modname)
File "/usr/lib/python3.9/site-packages/mercurial/pycompat.py", line 307, in w
  return f(object, sysstr(name), *args)

AttributeError: module ‘mercurial.cext’ has no attribute ‘parsers’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/usr/bin/hg", line 61, in <module>
  dispatch.run()
File "/usr/lib/python3.10/importlib/util.py", line 247, in __getattribute__
  self.__spec__.loader.exec_module(self)
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "/usr/lib/python3.9/site-packages/mercurial/dispatch.py", line 21, in <module>
  from .i18n import _
File "/usr/lib/python3.10/importlib/util.py", line 247, in __getattribute__
  self.__spec__.loader.exec_module(self)
File "/usr/lib/python3.9/site-packages/mercurial/i18n.py", line 123, in <module>
  if _plain():
File "/usr/lib/python3.9/site-packages/mercurial/i18n.py", line 115, in _plain
  b'HGPLAIN' not in encoding.environ
File "/usr/lib/python3.10/importlib/util.py", line 247, in __getattribute__
  self.__spec__.loader.exec_module(self)
File "/usr/lib/python3.9/site-packages/mercurial/encoding.py", line 41, in <module>
  charencode = policy.importmod('charencode')
File "/usr/lib/python3.9/site-packages/mercurial/policy.py", line 116, in importmod
  mod = _importfrom(pn, mn)
File "/usr/lib/python3.9/site-packages/mercurial/policy.py", line 71, in _importfrom
  raise ImportError('cannot import name %s' % modname)

ImportError: cannot import name parsers

for instance when building nss.

 225 PackagesBug ReportHighCritical [zstd] 1.5.1, zstd compressed ramdisk fails to load pro ...Closed
100%
Task Description

kernel issue with some network card and/or
systemd subservice not working add all

I cannot login remotely or locally.

System drops to maintainance shell..

Not a single systemd subdaemon is working..

This also effectively kills all i486 build machines..

 304 PackagesBug ReportMediumCritical [systemd] 251.2 breaking systems, cannot login Closed
100%
Task Description
Assertion 'close_nointr(fd) != -EBADF' failed at src/basic/fd-util.c:76, function safe_close(). Aborting.

The temporary workaround is to comment out ‘pam_system.so’ in system-auth and system-login..

 119 PackagesBug ReportVery LowHigh [gdb] needs rebuilt after python upgrade Closed
100%
Task Description

Pacman recently upgraded python from 3.8 to 3.9, which breaks the gdb package:

% gdb
gdb: error while loading shared libraries: libpython3.8.so.1.0: cannot open shared object file: No such file or directory
 121 PackagesBug ReportVery LowHigh Multiple packages need rebuild after libicu upgrade Closed
100%
Task Description

Over in  FS#119 , @abaumann mentioned that the libicu upgrade from 67 to 68 was part of what broke gdb. I missed the libicu upgrade when looking at gdb, but now that that one is resolved, I noticed a number of other packages that still link against the old and now nonexistant /usr/lib/libicu*.so.67 files. On my particular system, the following packages are installed, link to icu 67, and need rebuilt as well:

* harfbuzz-icu (2.7.0-1.0)
* mongo-c-driver (1.17.3-1.0)
* postfix (3.5.6-2.0)
* postgresql (12.4-1.0)
* postgresql-old-upgrade (12.5-1.0)
* samba (4.12.3-1.2)
* smbclient (4.12.3-1.2)
* syslog-ng (3.28.1-3.0)
* texlive-bin (2020.54586-4.0)
* xfsprogs (5.8.0-1.0)

… but I’m sure you have a way of determining all the affected packages?

As a workaround, in case others have the same problem, I manually extracted the old versioned .so files from the previous package to get things working again:

```
tar -C / -xf /var/cache/pacman/pkg/icu-67.1-1.0-i686.pkg.tar.zst –wildcards ‘usr/lib/lib*.so.*’ ```

- I’ll just have to remember to clean them up again later.

 329 PackagesBug ReportVery LowHigh [go] Cannot install yay from AUR Closed
100%
Task Description

Installing yay from AUR

git clone https://aur.archlinux.org/yay.git
cd yay
makepkg -sri

gives following error

go: updates to go.sum needed, disabled by -mod=readonly

Reason - outdated version of go in i686 architecture

Temporary solution - use go for pentium4 (change temporarily architecture to pentium4 in /etc/pacman.conf)

 93 Packages: StableBug ReportVery LowMedium pyparsing error is preventing applications from startin ...Closed
100%
Task Description

Came across this after completing a system update two days ago.

I run Radicale and that is refusing to start with the following error:

Traceback (most recent call last):
  File "/usr/bin/radicale", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 84, in <module>
    __import__('packaging.requirements')
  File "/usr/lib/python3.7/site-packages/packaging/requirements.py", line 9, in <module>
    from pyparsing import stringStart, stringEnd, originalTextFor, ParseException
ModuleNotFoundError: No module named 'pyparsing'

When attempting to run pip to see if that might correct the issue, I got the following error:

Traceback (most recent call last):
  File "/usr/bin/pip", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 84, in <module>
    __import__('packaging.requirements')
  File "/usr/lib/python3.7/site-packages/packaging/requirements.py", line 9, in <module>
    from pyparsing import stringStart, stringEnd, originalTextFor, ParseException
ModuleNotFoundError: No module named 'pyparsing'

It looks as though something recently broke pyparsing and that’s had a knockon effect for a few packages.

 96 Packages: StableBug ReportMediumMedium [rust] broken or missing backend Closed
100%
Task Description
shell> echo > rust.rc <<EOF
fn main() {
        println!( "Hello Rust! " );
}
EOF

shell> rustc rust.rs
error: failed to find a `codegen-backends` folder in the sysroot candidates:
* /usr
* /usr

Presumably the i686 folders are moved around in PKGBUILD to form lib32
libraries for rust on 64-bit.

 179 Packages: StableBug ReportVery LowMedium Snapper needs rebuild from icu upgrade Closed
100%
Task Description

icu69.1-1.0 however snapper still links against libicuuc.so.68

Running snapper now gives the following error:

# snapper list /
snapper: error while loading shared libraries: libicuuc.so.68: cannot open shared object file: No such file or directory
 273 Packages: StableBug ReportVery LowMedium Quazip Qt5 package contains Qt6 libraries Closed
100%
Task Description

The quazip-qt5 package for both i686 and pentium4 contains the Qt6 libraries instead of the Qt5 ones.

The quazip package also no longer seems to exist upstream and should probably be removed in Arch32 as well.

 274 PackagesBug ReportVery LowMedium perl-term-readline-gnu should be rebuilt due to new per ...Closed
100%
Task Description

When you have system update there is this warning:

Warn about old perl modules
WARNING: '/usr/lib/perl5/5.34' contains data from at least 1 packages which will NOT be used by the installed perl interpreter.
 -> Run the following command to get a list of affected packages: pacman -Qqo '/usr/lib/perl5/5.34'

After searching you see it’s caused by

$ pacman -Qqo '/usr/lib/perl5/5.34'
perl-term-readline-gnu

So this package should be rebulded, because in repositories is perl 5.36

More info and problem description https://forum.manjaro.pl/t/archlinux32-ostrzezenie-od-perl/2356

 279 Packages: StableBug ReportVery LowMedium Telegram Desktop doesn't start Closed
100%
Task Description

Telegram Desktop fails to start with an error about incompatible Qt libraries, I think it needs to be rebuilt.

 305 Packages: StableBug ReportVery LowMedium [chezmoi] i686 and i486 packages are way out of date, p ...Closed
100%
Task Description

I did not see a way to report a package outdated (unlike upstream arch linux) so here is a bug report.

chezmoi (a dot file manager for your home directory) is way outdated in arch32, especially the non-pentium4 versions. This makes it unusable for me as my config depends on newer features.

I would at least expect arch32 to have the same version for i686 and pentium4.

 317 PackagesBug ReportVery LowMedium [pacutils] paccheck core dumps Closed
100%
Task Description

$ paccheck pacman
pacman: all dependencies satisfied
zsh: segmentation fault (core dumped) paccheck pacman

It seems to be in the –files check (as with that the crash happens quicker).

Debuginfod doesn’t seem to work for ArchLinux32 (unlike standard ArchLinux) so no debug symbols, but here is the gdb backtrace:

(gdb) bt
#0 0xb7d1989a in strnlen () from /usr/lib/libc.so.6
#1 0xb7d197ac in strncpy () from /usr/lib/libc.so.6
#2 0x00402abe in ?? ()
#3 0x0040244a in ?? ()
#4 0xb7c96129 in ?? () from /usr/lib/libc.so.6
#5 0xb7c961fd in __libc_start_main () from /usr/lib/libc.so.6
#6 0x004026f5 in ?? ()

Valgrind does not seem to work properly on Arch32 either, so I can’t test that.

 323 PackagesBug ReportVery LowMedium qemu-desktop installation error Closed
100%
Task Description

While installing qemu-desktop for Archlinux32 following error appears:

/usr/bin/gtk-query-immodules-3.0: symbol lookup error: /usr/liblibpango-1.0.so.0: undefined symbol: hb_ot_color_has_paint

Pango version pango-1:1.50.14-1.0-pentium4. This is a problem of Archlinux32 only - in Archlinux there is no error.

 357 PackagesBug ReportVery LowMedium pacman-contrib 1.10.5 requires rebuild Closed
100%
Task Description

The pactree tool in pacman-contrib 1.10.5 requires libalpm.so.13 which belongs to an older version of pacman. Rebuilding pacman-contrib with the latest version of pacman installed should resolve the issue.

 94 Packages: TestingBug ReportMediumLow Weechat needs a rebuild Closed
100%
Task Description

Since the uprgade to python from testing, weechat has broken it’s python support, which at least knocks out the plugin I use to keep in touch with my old workmates over slack.

# weechat
|   ___       __         ______________        _____ 
|   __ |     / /___________  ____/__  /_______ __  /_
|   __ | /| / /_  _ \  _ \  /    __  __ \  __ `/  __/
|   __ |/ |/ / /  __/  __/ /___  _  / / / /_/ // /_  
|   ____/|__/  \___/\___/\____/  /_/ /_/\__,_/ \__/  
| WeeChat 2.6 [compiled on Nov 12 2019 13:06:27]
| - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
| Error: unable to load plugin "/usr/lib/weechat/plugins/python.so": libpython3.7m.so.1.0: cannot open shared object file:
| No such file or directory

Inside /usr/lib/weechat/plugins there is a file named python.so, but its not any kind of link. I expect it to be fixed up if it were to be rebuilt.

 110 PackagesBug ReportVery LowLow [syslog-ng] is built without systemd support Closed
100%
Task Description

The packages for syslog-ng since version 3.27.1-1.0 appears to have been built without systemd support. Although their PKGBUILD runs configure with –enable-systemd, running syslog-ng –version shows Enable-Systemd: off. The official Arch x86_64 package (at version 3.28.1-1) doesn’t exhibit this problem.

I tried building the package locally on i686 using the official Arch PKGBUILD and could not reproduce the problem. My locally built version correctly finds libsystemd during configure, and gets built with systemd support. This leads me to believe the problem happens somewhere in the Archlinux32 build process.


The practical upshot of the problem is that the systemd unit file supplied with syslog-ng lists it as a Type=notify service, but when it fails to notify systemd after startup, systemd eventually kills it and restarts it repeatedly:

Jul 24 07:32:31 wolfie systemd[1]: Starting System Logger Daemon "default" instance...
Jul 24 07:32:32 wolfie syslog-ng[18977]: syslog-ng starting up; version='3.28.1'
Jul 24 07:34:01 wolfie systemd[1]: syslog-ng@default.service: start operation timed out. Terminating.
Jul 24 07:34:01 wolfie syslog-ng[18977]: syslog-ng shutting down; version='3.28.1'
Jul 24 07:34:01 wolfie systemd[1]: syslog-ng@default.service: Failed with result 'timeout'.
Jul 24 07:34:01 wolfie systemd[1]: Failed to start System Logger Daemon "default" instance.
Jul 24 07:34:02 wolfie systemd[1]: syslog-ng@default.service: Scheduled restart job, restart counter is at 1.
Jul 24 07:34:02 wolfie systemd[1]: Stopped System Logger Daemon "default" instance.
Jul 24 07:34:02 wolfie systemd[1]: Starting System Logger Daemon "default" instance...
 122 PackagesBug ReportVery LowLow Permissions bits on files on the primary mirror are too ...Closed
100%
Task Description

In my quest to find a working mirror close to me, I’ve come across another issue with at least a couple of mirrors. Some mirrors respond with a HTTP 403 Forbidden for certain files, notably many of the Pacman database files. At the time of this writing, I’m aware of this problem happening with the princeton.edu and the clarkson.edu mirrors. I’ve been in contact with the admin of one of the mirrors, and they’ve pointed out that the permission bits are set to 0600 at the source. If the primary mirror could have their files be world readable, it would likely fix this problem automatically across more than one mirror.

Is that something we can do?

Steps to verify:

1. Access certain files from the primary mirror using rsync, for example:

% rsync -av rsync://mirror.archlinux32.org/archlinux32/i686/extra/extra.db.tar.gz .
receiving incremental file list
extra.db.tar.gz

sent 43 bytes  received 2,044,453 bytes  371,726.55 bytes/sec
total size is 2,043,851  speedup is 1.00

2. Examine permission bits:

% ls -l extra.db.tar.gz
-rw------- 1 user user 2043851 Jan  8 11:51 extra.db.tar.gz

Should be -rw-r–r–.

 123 PackagesBug ReportMediumLow libhandy0, libhandy conflicts Closed
100%
Task Description

libhandy0: /usr/share/vala/vapi/libhandy-0.0.deps exists in filesystem (owned by libhandy)
libhandy0: /usr/share/vala/vapi/libhandy-0.0.vapi exists in filesystem (owned by libhandy)

 127 PackagesBug ReportMediumLow iotop doesn't work Closed
100%
Task Description
root@arch32-stable-pentium4 ~]# iotop
No module named 'iotop'
To run an uninstalled copy of iotop,
launch iotop.py in the top directory

iotop is a Python script, presumably some Python modules are missing.

 128 PackagesBug ReportMediumLow newsboat needs rebuild against newer libjson-c Closed
100%
Task Description
newsboat: error while loading shared libraries: libjson-c.so.4: cannot open shared object file: No such file or directory
 129 PackagesBug ReportMediumLow rust 1.47 is outdated Closed
100%
Task Description

either building 1.49 via 1.48, via 1.47 or we have to bootstrap from a binary version again.

Showing tasks 51 - 100 of 350 Page 2 of 7 - 1 - 2 - 3 - 4 - 5 - Last >>

Available keyboard shortcuts

Tasklist

Task Details

Task Editing